<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.home.HomeFragment">

    <ImageView
        android:id="@+id/LoginBackground"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/teraplex_login"
        android:scaleType="centerCrop"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/text_home"
        android:layout_width="309dp"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:textAlignment="center"
        android:textColor="#FFFFFF"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/login_data"
        android:layout_width="204dp"
        android:layout_height="46dp"
        android:gravity="center_horizontal"
        android:textAlignment="center"
        android:textColor="#00FF00"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/loginuserInput"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/text_home" />

    <EditText
        android:id="@+id/loginuserInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="#FFFFFF"
        android:ems="10"
        android:hint="@string/login_benutzername"
        android:inputType="textEmailAddress"
        android:textColor="#FFFFFF"
        android:textColorHint="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.434" />

    <EditText
        android:id="@+id/loginpasswordInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="#FFFFFF"
        android:ems="10"
        android:hint="@string/login_passwort"
        android:inputType="textPassword"
        android:textColor="#FFFFFF"
        android:textColorHint="#FFFFFF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/loginuserInput" />

    <Button
        android:id="@+id/loginButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:hapticFeedbackEnabled="true"
        android:text="Login"
        app:icon="@drawable/login_24px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/loginpasswordInput" />

    <ImageView
        android:id="@+id/imageView4"
        android:layout_width="175dp"
        android:layout_height="178dp"
        android:src="?android:attr/fingerprintAuthDrawable"
        app:layout_constraintBottom_toTopOf="@+id/loginuserInput"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.625" />

</androidx.constraintlayout.widget.ConstraintLayout>

